=== python/docs/requirements.txt ===
sphinx-rtd-theme
