=== debian/changelog ===
libcpuid (0.8.1+repack1-0.1) unstable; urgency=medium

  * NMU
  * rules-requires-root now defaults to no
  * New upstream release
  * Forward port soname patch

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 22 Aug 2025 13:31:34 +0100
