=== debian/watch ===
version=4
opts=repacksuffix=+repack1,dversionmangle=s/\+repack1// \
https://github.com/anrieff/@PACKAGE@/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
